Bug 1571991 - Multiple texlive-collection-* unfulfilled package dependencies
Summary: Multiple texlive-collection-* unfulfilled package dependencies
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-25 21:44 UTC by wheinbockel
Modified: 2019-11-27 19:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:32:11 UTC
Type: Bug


Attachments (Terms of Use)

Description wheinbockel 2018-04-25 21:44:36 UTC
Description of problem:

The following rawhide texlive-collection packages have unfulfilled/unmet dependencies:
 - texlive-collection-plaingeneric [missing texlive-autoaligne]
 - texlive-collection-mathscience [missing texlive-algobox]
 - texlive-collection-latexextra [missing texlive-mensa-tex]


Version-Release number of selected component (if applicable):

 - texlive-collection-plaingeneric-7:svn44986-3.fc29.noarch
 - texlive-collection-mathscience-7:2017-3.fc29.noarch
 - texlive-collection-latexextra-7:svn45569-3.fc29.noarch

How reproducible:


Steps to Reproduce:
1. dnf update
2. dnf install exlive-collection-plaingeneric texlive-collection-mathscience  texlive-collection-latexextra
3.

Actual results:

[root@5ee1a488eae2]/# dnf install texlive-collection-plaingeneric texlive-collection-mathscience  texlive-collection-latexextra
Last metadata expiration check: 0:25:29 ago on Wed 25 Apr 2018 09:13:25 PM UTC.
Error:
 Problem 1: conflicting requests
  - nothing provides texlive-autoaligne needed by texlive-collection-plaingeneric-7:svn44986-3.fc29.noarch
 Problem 2: conflicting requests
  - nothing provides texlive-algobox needed by texlive-collection-mathscience-7:2017-3.fc29.noarch
 Problem 3: conflicting requests
  - nothing provides texlive-mensa-tex needed by texlive-collection-latexextra-7:svn45569-3.fc29.noarch


Expected results:

[root@5ee1a488eae2]/# dnf install texlive-collection-plaingeneric texlive-collection-mathscience  texlive-collection-latexextra
Last metadata expiration check: 0:25:29 ago on Wed 25 Apr 2018 09:13:25 PM UTC.
  ...
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  ...

Installed:
  texlive-collection-plaingeneric-7:svn44986-3.fc29.noarch   texlive-collection-mathscience-7:2017-3.fc29.noarch   texlive-collection-latexextra-7:svn45569-3.fc29.noarch

Complete!


Additional info:

Comment 1 Jan Kurik 2018-08-14 11:06:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Ben Cotton 2019-10-31 20:40:16 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-11-27 19:32:11 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.